.TH SGBDEMOS 1 
.SH NAME
sgbdemos \- Examples of the use of The Stanford GraphBase
.SH SYNOPSIS
.B assign_lisa
[options]
.br
.B book_components
[options]
.br
.B econ_order
[options]
.br
.B football
[options]
.br
.B girth
[options]
.br
.B ladders
[options]
.br
.B miles_span
[options]
.br
.B multiply
[options]
.br
.B queen
[options]
.br
.B roget_components
[options]
.br
.B take_risc
[options]
.br
.B word_components
[options]

.SH DESCRIPTION
This manual page documents briefly the demonstration programs in The
Stanford GraphBase.
This manual page was written for the Debian GNU/Linux distribution
(but may be used by others), because the original program does not
have a manual page.
.PP
A general introduction to the GraphBase can be found in
\fI/usr/share/doc/sgb/abstract.dvi.gz\fR, and more details appear in
the man page \fIsgb\fR(1).  The details of these demonstration
programs are best found by reading the code, which can be found in the
directory \fI/usr/share/doc/sgb-doc/examples\fR.  The code includes a
description of the appropriate options.  The code may be read
directly, or can be turned into a pretty-printable TeX form by using
the
.B cweave
program.  See the \fIcweb\fR(1) manpage for more details.
The programs are very understandable, although a full introduction to
them can only (currently) be found in Chapter 1 of the book
by Donald E. Knuth entitled
.I The Stanford GraphBase: A Platform for Combinatorial Computing
published jointly by ACM Press and Addison-Wesley (1993), ISBN 0-201-54275-7.

.SH BUGS
Genuine bugs may be reported to Donald Knuth via email to
.I sgb@cs.stanford.edu.
.B PLEASE DO NOT USE THIS EMAIL ADDRESS FOR ANY PURPOSE OTHER THAN TO
.B REPORT BUGS IN THE STANFORD GRAPHBASE.  PROF. KNUTH DOES NOT ACCEPT
.B UNSOLICITED EMAIL.

.SH "SEE ALSO"
.TP
\fIsgb\fP(1), \fIcweb\fP(1)

.SH AUTHOR
The Stanford Graphbase is copyrighted by Stanford University.
This manual page was written by Julian Gilbey <jdg@debian.org>
for the Debian GNU/Linux system.
